// xdsloadDlg.h : header file
//

#include "loaddrv.h"

#if !defined(AFX_XDSLOADDLG_H__C14C121A_2BF9_4DB8_8BAF_9ED8F4E42199__INCLUDED_)
#define AFX_XDSLOADDLG_H__C14C121A_2BF9_4DB8_8BAF_9ED8F4E42199__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CXdsloadDlg dialog

class CXdsloadDlg : public CDialog
{
// Construction
public:
	CXdsloadDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CXdsloadDlg)
	enum { IDD = IDD_XDSLOAD_DIALOG };
	CButton	m_verbose;
	CRichEditCtrl	m_monitor;
	CButton	m_run;
	CEdit	m_path;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CXdsloadDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON			m_hIcon;
	CWinThread*		m_thread;

	GiveIOWrapper	m_wrapper;

	static UINT DebugThread( LPVOID pParam);
	static CString DebugEventString( DWORD code, BOOL *known=NULL);
	static CString ExceptionString( DWORD code, BOOL *known=NULL);

	// Generated message map functions
	//{{AFX_MSG(CXdsloadDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnBrowse();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_XDSLOADDLG_H__C14C121A_2BF9_4DB8_8BAF_9ED8F4E42199__INCLUDED_)
